| Home | Libraries | People | FAQ | More

## Struct template managed_unique_ptr

boost::interprocess::managed_unique_ptr

## Synopsis

    // In header: <boost/interprocess/smart_ptr/unique_ptr.hpp>

    template<typename T, typename ManagedMemory>
    struct managed_unique_ptr {
      // types
      typedef boost::movelib::unique_ptr< T, typename ManagedMemory::template deleter< T >::type > type;
    };

## Description

Returns the type of a unique pointer of type T with boost::interprocess::deleter deleter that can be constructed in the given managed segment type.